View Issue Details

IDProjectCategoryView StatusLast Update
0000476Kali Linux[All Projects] Tool Upgrade Requestpublic2013-08-16 14:03
Reporterdookie Assigned Todookie  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0.5 
Summary0000476: Upgrade Hydra to Version 7.5
DescriptionVersion 7.5 of Hydra has been released.

http://www.thc.org/thc-hydra/

        CHANGELOG for 7.5
        ===================

        Note: The archive was updated on the 6th of August to include a
        license exception for OpenSSL but the version number preserved.
        * Moved the license from GPLv3 to AGPLv3 (see LICENSE file)
        * Added module for Asterisk Call Manager
        * Added support for Android where some functions are not available
        * hydra main:
           - reduced the screen output if run without -h, full screen with -h
           - fix for ipv6 and port parsing with service://[ipv6address]:port/OPTIONS
           - fixed -o output (thanks to www417)
           - warning if HYDRA_PROXY is defined but the module does not use it
           - fixed an issue with large input files and long entries
        * hydra library:
           - SSL connections are now fixed to SSLv3 as some SSL servers fail otherwise, report if this gives you problems
           - removed support for old OPENSSL libraries
        * HTTP Form module:
           - login and password values are now encoded if special characters are present
           - ^USER^ and ^PASS^ are now also supported in H= header values
           - if you the colon as a value in your option string, you can now escape it with \: - but do not encode a \ with \\
        * Mysql module: protocol 10 is now supported
        * SMTP, POP3, IMAP modules: Disabled the TLS in default. TLS must now be defined as an option "TLS" if required. This increases performance.
        * Cisco module: fixed a small bug (thanks to Vitaly McLain)
        * Postgres module: libraries on Cygwin are buggy at the moment, module is therefore disabled on Cygwin

Activities

dookie

2013-08-11 03:10

reporter   ~0000700

Updated in hydra_7.5-1kali1.

dookie

2013-08-11 15:08

reporter   ~0000709

Re-opening so I can resolve it again.

dookie

2013-08-11 15:09

reporter   ~0000710

Updated in hydra_7.5-1kali1.

Issue History

Date Modified Username Field Change
2013-08-11 02:55 dookie New Issue
2013-08-11 02:55 dookie Status new => assigned
2013-08-11 02:55 dookie Assigned To => dookie
2013-08-11 03:10 dookie Note Added: 0000700
2013-08-11 03:10 dookie Status assigned => resolved
2013-08-11 03:10 dookie Resolution open => fixed
2013-08-11 15:08 dookie Note Added: 0000709
2013-08-11 15:08 dookie Status resolved => feedback
2013-08-11 15:08 dookie Resolution fixed => reopened
2013-08-11 15:09 dookie Note Added: 0000710
2013-08-11 15:09 dookie Status feedback => assigned
2013-08-11 15:09 dookie Status assigned => resolved
2013-08-11 15:09 dookie Fixed in Version => 1.0.4
2013-08-11 15:09 dookie Resolution reopened => fixed
2013-08-16 14:03 dookie Fixed in Version 1.0.4 => 1.0.5
2021-05-31 13:37 rhertzog Category Tool Upgrade => Tool Upgrade Request